Name: dcraw
Version: 1.168
Release: alt1

Summary: Tool to deal with RAW graphics format
License: Freely distributable
Group: Graphics

%define buildname ljpeg_decode

Url: http://www.shore.net/~dcoffin/powershot
Source0: %url/%buildname.tar.gz
Source1: %url/%name.c
Source2: %url/%name.1
Source3: %url/index.html

# somewhat hackinsh build to enable EOS-1D support (ljpeg_decode)
%define ljdir $RPM_BUILD_DIR/%buildname

Summary(ru_RU.KOI8-R):    RAW-   
Summary(uk_UA.KOI8-U): ̦   RAW-̦   

%description
This is a set of programs:
crwinfo - experimental program to get info from RAW files (D30 and D60 tested)
dcraw - converts from raw data to pnm
decompress - decompresses RAW data from CCD
fixdates - internal RAW timestamp from G2 will be creating timestamp
fujiturn - turns converted file 45 degrees clockwise after converting
           data from Fuji digital cameras.
parse - gets thumbnail from RAW files.
rawphoto - raw photo plugin for GIMP
sony_clear - converts RAW files from Sony DSC-828.


%description -l ru_RU.KOI8-R
%name     RAW,  
 ,  PPM.

%description -l uk_UA.KOI8-U
%name Ѥ  Ʀ  RAW,  դ 
 ,  PPM.

%prep
%setup -n ljpeg_decode
%__install %SOURCE1 %SOURCE2 %ljdir/
%__install %SOURCE3 %ljdir/powershot.html

%build
CFLAGS="%optflags" make

%install
%__install -pD ljpeg_decode/dcraw %buildroot%_bindir/dcraw
%__install -pD crwinfo %buildroot%_bindir/crwinfo
%__install -pD decompress %buildroot%_bindir/decompress
%__install -pD fixdates %buildroot%_bindir/fixdates
%__install -pD fujiturn %buildroot%_bindir/fujiturn
%__install -pD lcfile %buildroot%_bindir/lcfile
%__install -pD parse %buildroot%_bindir/parse
%__install -pD pgm %buildroot%_bindir/pgm
#%__install -pD rawphoto %buildroot%_libdir/gimp/1.2/plug-ins/rawphoto
%__install -pD renum %buildroot%_bindir/renum
%__install -pD sony_clear %buildroot%_bindir/sony_clear
%__install -pD -m644 ljpeg_decode/dcraw.1.gz %buildroot%_man1dir/dcraw.1.gz

%files
%doc powershot.html
%doc 'ljpeg_decode/Raw Digital Photo Decoding in Linux.htm' README-CRWInfo badpixels.html dcwrap.txt USAGE 'Canon Raw File Specification.txt'
%_bindir/*
%_man1dir/*

%changelog
* Wed Feb 25 2004 Michael Shigorin <mike@altlinux.ru> 1.168-alt1
- Sisyphus build on behalf of Sergei Epiphanov <serpiph nikiet ru>:
- Compiling dcraw version 1.168 with lossless jpeg library
- Compiling related programs for dcraw.
- rawphoto.c - how to use with gimp?

* Fri Jun 13 2003 Michael Shigorin <mike@altlinux.ru> 1.119-alt1
- built for ALT Linux
- based on initial package by Pyatnitskich Evgeniy <pem@rbcmail.ru>
  - spec cleanup
    - renamed from raw-tools to dcraw as it's all that's left
    - fixed version to RCS one
    - fixed package group
    - clarified license
  - gimp plugin moved to gimp-plugin-rawphoto
  - built with ljpeg_decode thus should support EOS-1D RAWs
  - added webpage to docs

